PHP 手册
后退 |  | 前进

# apache_setenv

(PHP 4 >= 4.2.0, PHP 5)

apache_setenv -- Set an Apache subprocess_env variable

## 说明

bool apache_setenv ( string variable, string value [, bool walk_to_top] )

apache_setenv() sets the value of the Apache environment variable specified by variable.

> 注: When setting an Apache environment variable, the corresponding $_SERVER variable is not changed.

## 参数

variable

  The environment variable that's being set.

value

  The new variable value.

walk_to_top

  Whether to set the top-level variable available to all Apache layers.

## 返回值

如果成功则返回 `TRUE`，失败则返回 `FALSE`。

## 范例

例子 1. Setting an Apache environment variable using apache_setenv()

`<?php apache_setenv("EXAMPLE_VAR", "Example Value"); ?>`

## 注释

> 注: apache_setenv() can be paired up with apache_getenv() across separate pages or for setting variables to pass to Server Side Includes (.shtml) that have been included in PHP scripts.

## 参见

apache_getenv()

后退 | 起点 | 前进
apache_response_headers | 上一级 | ascii2ebcdic